Skip to content
Documentation
Explore guides

For administrators

Opportunity stages

List and show opportunity stages in the company.

Contents

Before you start

Send Accept: application/json and Authorization: Bearer YOUR_TOKEN to https://{subdomain}.talentohq.com. See API for authentication.

Path and query identifiers are UUID strings.

Successful responses use 200. Validation failures use 422. Missing or invalid tokens, and records that cannot be found, use 401.

List all opportunity stages

GET /api/v3/opportunity_stages

Results are paginated. Pass page to move through pages of 50 records.

Response 200

[
  {
    "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
    "name": "Proposal",
    "position": 2,
    "probability": 40,
    "rotting_days": 14,
    "colour": "blue"
  },
  {
    "id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
    "name": "Proposal 2",
    "position": 2,
    "probability": 40,
    "rotting_days": 14,
    "colour": "blue"
  }
]

Show an opportunity stage

GET /api/v3/opportunity_stages/{opportunity_stage_id}

Parameter Type Description
opportunity_stage_id string (UUID) Opportunity stage id.

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Proposal",
  "position": 2,
  "probability": 40,
  "rotting_days": 14,
  "colour": "blue"
}